## org.eclipse.datatools.sqltools.result.internal.utils
Class SerializationHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.utils.SerializationHelper

    public class SerializationHelper

extends java.lang.Object

A utility class to serialize and deserialize an Object array.

Author:
  juewu

Field Summary
`static java.lang.String` `RESULT_FLAG`
`static int` `RI_VERSION_MAJOR`
`static int` `RI_VERSION_MINOR`
`static int` `RI_VERSION_SERVICE`

Method Summary
`static java.lang.String` `getResultManagerVersion()`
`static java.lang.Object[]` `LoadObjects(java.lang.String fileName)`
`static boolean` `resultManagerVersionCompatible(java.lang.String versionId)`
`static void` `SaveObjects(java.lang.Object[] objs, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_FLAG

    public static java.lang.String RESULT_FLAG

### RI_VERSION_MAJOR

    public static int RI_VERSION_MAJOR

### RI_VERSION_MINOR

    public static int RI_VERSION_MINOR

### RI_VERSION_SERVICE

    public static int RI_VERSION_SERVICE

Method Detail

### SaveObjects

    public static void SaveObjects(java.lang.Object[] objs,
                                   java.lang.String fileName)

### LoadObjects

    public static java.lang.Object[] LoadObjects(java.lang.String fileName)

### resultManagerVersionCompatible

    public static boolean resultManagerVersionCompatible(java.lang.String versionId)

### getResultManagerVersion

    public static java.lang.String getResultManagerVersion()